public class CaixaTexto implements Componente {
    int x, y, larg, alt, pos;
    Cor borda, frente, fundo;
    Texto texto;
    
    public CaixaTexto(int _x, int _y, int _larg, int _alt, int _pos,
                      Texto _texto, Cor _borda, Cor _frente, Cor _fundo) {
        x = _x; y = _y; larg = _larg; alt = _alt; pos = _pos;
        texto = _texto; borda = _borda; frente = _frente; fundo = _fundo;
    }
    
    public int getX1() { return x; }
    public int getY1() { return y; }
    public int getX2() { return x + larg; }
    public int getY2() { return y + alt; }
    
    public void desenhar(Tela t) {
        t.retangulo(x, y, larg, alt, borda);
        t.retangulo(x + 5, y + 5, larg - 10, alt - 10, fundo);
        t.texto(texto.getTexto(), x + 20, y + 20, larg - 40, alt - 40, pos, 36, frente);
    }
}